Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 155969 - dev-java/swt/swt-3.2.1 support XULRunner backend for SWT Browser
Summary: dev-java/swt/swt-3.2.1 support XULRunner backend for SWT Browser
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
Depends on: 169456
Blocks:
  Show dependency tree
 
Reported: 2006-11-22 12:09 UTC by Vladimir Pouzanov
Modified: 2007-04-27 22:18 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Pouzanov 2006-11-22 12:09:31 UTC
I've tested eclipse 3.2.1 (not portage install) and swt 3.2.1 (portage). Both work correctly with xulrunner 1.8.0.4

swt ebuild patch:
--- /usr/portage/dev-java/swt/swt-3.2.1.ebuild  2006-11-20 03:06:10.000000000 +0200
+++ swt-3.2.1.ebuild    2006-11-22 21:52:04.000000000 +0200
@@ -16,7 +16,7 @@
 LICENSE="CPL-1.0 LGPL-2.1 MPL-1.1"
 KEYWORDS="~amd64 ~ppc ~x86"

-IUSE="cairo gnome seamonkey opengl"
+IUSE="cairo gnome seamonkey opengl xulrunner"
 COMMON=">=dev-libs/glib-2.6
                >=x11-libs/gtk+-2.6.8
                >=dev-libs/atk-1.10.2
@@ -26,10 +26,16 @@
                                        =gnome-base/gnome-vfs-2*
                                        =gnome-base/libgnomeui-2*
                                )
-               seamonkey? (
-                                       >=www-client/seamonkey-1.0.2
-                                       >=dev-libs/nspr-4.6.2
-                               )
+               || (
+                       seamonkey? (
+                                               >=www-client/seamonkey-1.0.2
+                                               >=dev-libs/nspr-4.6.2
+                                       )
+                       xulrunner? (
+                                               >=net-libs/xulrunner-1.8.0.4
+                                               >=dev-libs/nspr-4.6.2
+                                       )
+                  )
                opengl? (
                                        virtual/opengl
                                        virtual/glu
@@ -146,6 +152,19 @@
                ${make} make_mozilla || die "Failed to build Mozilla support"
        fi

+       if use xulrunner ; then
+               export GECKO_SDK="$(pkg-config xulrunner-xpcom --variable=libdir)"
+               export GECKO_INCLUDES="-I/usr/$(get_libdir)/xulrunner/include/xpcom \
+                                                               -I/usr/include/nspr \
+                                                               -I/usr/$(get_libdir)/xulrunner/include/embed_base \
+                                                               -I/usr/$(get_libdir)/xulrunner/include/string \
+                                                               -I/usr/$(get_libdir)/xulrunner/include"
+               export GECKO_LIBS="-L${GECKO_SDK} -lgtkembedmoz"
+
+               einfo "Building the Mozilla component"
+               ${make} make_mozilla || die "Failed to build Mozilla support"
+       fi
+
        if use cairo ; then
                einfo "Building CAIRO support"
                ${make} make_cairo || die "Unable to build CAIRO support"

I'm not sure if xulrunner really requires nspr, also it requires -I/usr/$(get_libdir)/xulrunner/include to be added (everything other is the same as with seamonkey)
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2006-11-22 13:23:11 UTC
Please, don't inline patches, it kills formatting. Attach them.
Comment 2 Petteri Räty (RETIRED) gentoo-dev 2007-03-05 14:21:50 UTC
dev-java/swt-3.2.2 can now be built against xulrunner. Let's see if it works on other arches than x86 in bug #169456. 
Comment 3 Petteri Räty (RETIRED) gentoo-dev 2007-04-27 22:18:01 UTC
xulrunner support is there so closing. Please open a new bug if you have issues with it.